## GtkVBox GtkVBox — A vertical container box |

## Functions

GtkWidget * | gtk_vbox_new ()

## Types and Values

struct | GtkVBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ├── GtkColorSelection
                                ├── GtkFileChooserWidget
                                ├── GtkFontSelection
                                ├── GtkGammaCurve
                                ╰── GtkRecentChooserWidget

## Implemented Interfaces

GtkVBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkVBox is a container that organizes child widgets into a single column.

Use the GtkBox packing interface to determine the arrangement, spacing, height, and alignment of GtkVBox children.

All children are allocated the same width.

## Functions

### gtk_vbox_new ()

    GtkWidget *
    gtk_vbox_new (gboolean homogeneous,
                  gint spacing);

Creates a new GtkVBox.

#### Parameters

homogeneous | `TRUE` if all children are to be given equal space allotments. |
spacing | the number of pixels to place by default between children. |

#### Returns

a new GtkVBox.

## Types and Values

### struct GtkVBox

    struct GtkVBox;

## See Also

GtkHBox